LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
lldb::SBQueueItem Class Reference

`#include <SBQueueItem.h>`

## Public Member Functions
| SBQueueItem ()
| SBQueueItem (const lldb::QueueItemSP &queue_item_sp)
| ~SBQueueItem ()
bool | IsValid () const
void | Clear ()
lldb::QueueItemKind | GetKind () const
void | SetKind (lldb::QueueItemKind kind)
lldb::SBAddress | GetAddress () const
void | SetAddress (lldb::SBAddress addr)
void | SetQueueItem (const lldb::QueueItemSP &queue_item_sp)
SBThread | GetExtendedBacktraceThread (const char *type)

## Detailed Description

Definition at line 18 of file SBQueueItem.h.

## Constructor & Destructor Documentation

lldb::SBQueueItem::SBQueueItem | ( |  | ) |

lldb::SBQueueItem::SBQueueItem | ( | const lldb::QueueItemSP & | queue_item_sp | ) |

lldb::SBQueueItem::~SBQueueItem | ( |  | ) |

## Member Function Documentation

void lldb::SBQueueItem::Clear | ( |  | ) |

lldb::SBAddress lldb::SBQueueItem::GetAddress | ( |  | ) | const

SBThread lldb::SBQueueItem::GetExtendedBacktraceThread | ( | const char * | type | ) |

lldb::QueueItemKind lldb::SBQueueItem::GetKind | ( |  | ) | const

bool lldb::SBQueueItem::IsValid | ( |  | ) | const

void lldb::SBQueueItem::SetAddress | ( | lldb::SBAddress | addr | ) |

void lldb::SBQueueItem::SetKind | ( | lldb::QueueItemKind | kind | ) |

void lldb::SBQueueItem::SetQueueItem | ( | const lldb::QueueItemSP & | queue_item_sp | ) |

The documentation for this class was generated from the following file:

- SBQueueItem.h